#include <ros/ros.h>
#include <stdio.h>
#include <string>
#include <iostream>
#include <sensor_msgs/JointState.h>

int main(int argc, char **argv){
    ros::init(argc,argv,"state_publisher");
    ros::NodeHandle nh;
    ros::Publisher pub = nh.advertise<sensor_msgs::JointState>("joint_states",1000);
    ros::Rate lr(10);

    sensor_msgs::JointState msg;
float a=0;
    msg.name.push_back("BHand/FingerOne/KnuckleThreeJoint");
    msg.name.push_back("BHand/FingerOne/KnuckleTwoJoint");
    msg.name.push_back("BHand/FingerOne/KnuckleOneJoint");
    msg.name.push_back("BHand/FingerTwo/KnuckleOneJoint");
    msg.name.push_back("BHand/FingerThree/KnuckleThreeJoint");
    msg.name.push_back("BHand/FingerThree/KnuckleTwoJoint");
    msg.name.push_back("BHand/FingerTwo/KnuckleTwoJoint");
    msg.name.push_back("BHand/FingerTwo/KnuckleThreeJoint");


    for (int i = 0; i < 8; i++){
        msg.position.push_back(0.2);
        msg.velocity.push_back(0.0);
        msg.effort.push_back(0.0);
    }

    while(ros::ok()){
	a=a+0.001;
	msg.position[2]=a;
        msg.header.stamp = ros::Time::now();
        pub.publish(msg);
        ros::spinOnce();
lr.sleep();

    }
}

